Subject: Offline Message from Sara: I have a wrong order (600866667) for refund that i
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 24 Jun 2020 09:25:44 -0000

From: Sara <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://www.mumzworld.com/en/contact-us
Department: 

I have a wrong order (600866667) for refund that is supposed to picked up by a shipping company imile
But until this day they did not come.
I tried calling them and emailing but they didn’t respond.
Also I have sent to you a couple of emails but no one responded

----
Zopim
https://www.zopim.com